--------------------------------------------------------------------------------
-- Code developed by Generis Technology Limited
--
-- Product Name: B-Smart
--
-- Component Name: Meter Asset Manager
--
-- Description: Script to apply MDD change 19/003
--
-- Amendment History:                   Date        Author            Vers
-- ------------------                   ---------   -------           -----
-- B-Smart Initial Release              03-JAN-19   Generis           19.3
--------------------------------------------------------------------------------
--
-- SET SERVEROUTPUT ON SIZE 1000000
SET VERIFY OFF
--
SET SCAN OFF
--
PROMPT
PROMPT Script to apply MDD change 19/003
PROMPT
PROMPT Version 19.3
PROMPT
--
PROMPT
PROMPT Apply amend WGS as SHIP (and GAO) (MDD 19/003)
PROMPT
--
DECLARE

  invalid_column      EXCEPTION;
  is_snapshot         EXCEPTION;
  row_exists          EXCEPTION;
  fk_violated         EXCEPTION;
  PRAGMA EXCEPTION_INIT(invalid_column, -904);
  PRAGMA EXCEPTION_INIT(is_snapshot, -1732);
  PRAGMA EXCEPTION_INIT(row_exists, -1);
  PRAGMA EXCEPTION_INIT(fk_violated, -2292);

BEGIN

  EXECUTE IMMEDIATE 'UPDATE MARKET_PARTICIPANT 
                      SET MARKET_PARTICIPANT_NAME = ''UTILITA ENERGY LIMITED'',
                              LAST_UPDATE_USER_ID = ''MDD_19_003'',
                              LAST_UPDATE_DATE = SYSDATE
                        WHERE MARKET_PARTICIPANT_CODE = ''WGS''';

  EXECUTE IMMEDIATE 'UPDATE MARKET_PARTICIPANT_IN_ROLE
                          SET MARKET_PARTICIPANT_ROLE_NAME = ''UTILITA ENERGY LIMITED (SHIP)'',
                              LAST_UPDATE_USER_ID = ''MDD_19_003'',
                              LAST_UPDATE_DATE = SYSDATE
                        WHERE MARKET_PARTICIPANT_CODE = ''WGS''
                          AND MARKET_PARTICIPANT_ROLE_CODE = ''SHIP''';

  EXECUTE IMMEDIATE 'UPDATE MARKET_PARTICIPANT_IN_ROLE
                          SET MARKET_PARTICIPANT_ROLE_NAME = ''UTILITA ENERGY LIMITED (GAO)'',
                              LAST_UPDATE_USER_ID = ''MDD_19_003'',
                              LAST_UPDATE_DATE = SYSDATE
                        WHERE MARKET_PARTICIPANT_CODE = ''WGS''
                          AND MARKET_PARTICIPANT_ROLE_CODE = ''GAO''';

EXCEPTION
  WHEN is_snapshot OR invalid_column THEN
    NULL;
END;
/
--
SET SCAN ON
--
COMMIT
/
--
SET VERIFY ON
--
